package com.nec.peppa.learning.api;

import com.nec.peppa.learning.entity.ResultInfo;
import com.nec.peppa.learning.service.impl.ServerImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

@Controller
@RestController
public class AllDataController{
    // 注入返回类型为结果类对象的service层实现类
    @Autowired
    private ServerImpl server;
    private ResultInfo resultInfo=new ResultInfo();
    /*
    * @return   ResultInfo  结果集对象
    * */
    @GetMapping(value = "allData")
    public ResultInfo allDataList(){
        try {
            // 调用serverImpl的方法，获取存储有各表数据的结果集对象
            resultInfo=server.allData();
            // 为结果集对象编写成功传递数值的信息
            resultInfo.setMsg("查询所有表数据方法传输正常，数据存在dataList属性里,泛型为map，map的key为各表名称的缩写");
            resultInfo.setFlag(true);
            return resultInfo;
        } catch (Exception e) {
            e.printStackTrace();
            // 为结果集对象编写异常提示
            resultInfo.setData(null);
            resultInfo.setMsg("查询所有表数据方法异常,请联系管理员");
            resultInfo.setFlag(false);
            return resultInfo;
        }
    }
}
