package com.nec.peppa.learning.api;

import com.nec.peppa.learning.entity.Info;
import com.nec.peppa.learning.entity.ResultInfo;
import com.nec.peppa.learning.service.impl.InfoServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;


/**
 * <p>
 * 认证基础信息表 前端控制器
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Controller
@RestController
@RequestMapping("/peppa_learning-service")
public class InfoController {
    @Autowired
    private InfoServiceImpl infoService;
    private ResultInfo resultInfo=new ResultInfo();
    // 查询全部数据
    @GetMapping(value = "/info")
    public ResultInfo findAll(){
        try {
            resultInfo.setData(infoService.findAll());
            resultInfo.setMsg("认证信息表查询全部数据的方法已正常返回结果");
            resultInfo.setFlag(true);
            return resultInfo;
        } catch (Exception e) {
            // 异常处理
            e.printStackTrace();
            resultInfo.setData(null);
            resultInfo.setMsg("认证信息表查询全部数据的方法出现异常，请尽快处理");
            return resultInfo;
        }
    }
    // 根据主键查询一条数据
    @GetMapping(value = "/info/{certId}")
    public ResultInfo findOneById(@PathVariable String certId){
        try {
            // 把接收的字符串行主键转换为Long类型
            Long certIdL=Long.parseLong(certId);
            resultInfo.setData(infoService.findOneById(certIdL));
            resultInfo.setMsg("认证信息表根据主键查询一条数据方法已正常返回结果");
            resultInfo.setFlag(true);
            return resultInfo;
        } catch (Exception e) {
            // 异常处理
            e.printStackTrace();
            resultInfo.setData(null);
            resultInfo.setMsg("认证信息表根据主键查询一条数据的方法出现异常，请尽快处理");
            resultInfo.setFlag(false);
            return resultInfo;
        }
    }
    // 新增一条数据
    @PostMapping(value = "/info")
    public ResultInfo insert(@RequestBody Info info){
        try {
            resultInfo.setData(infoService.insert(info));
            resultInfo.setMsg("认证信息表新增一条数据方法已正常返回结果");
            resultInfo.setFlag(true);
            return resultInfo;
        } catch (Exception e) {
            // 异常处理
            e.printStackTrace();
            resultInfo.setData(0);
            resultInfo.setMsg("认证信息表新增一条数据的方法出现异常，请尽快处理");
            resultInfo.setFlag(false);
            return resultInfo;
        }
    }
    // 根据主键删除一条数据
    @DeleteMapping(value = "/info/{certId}")
    public ResultInfo insert(@PathVariable String certId){
        try {
            Long certIdL=Long.parseLong(certId);
            resultInfo.setData(infoService.delete(certIdL));
            resultInfo.setMsg("认证信息表根据主键删除一条数据的方法已正常返回结果");
            resultInfo.setFlag(true);
            return resultInfo;
        } catch (Exception e) {
            // 异常处理
            e.printStackTrace();
            resultInfo.setData(0);
            resultInfo.setMsg("认证信息表根据主键删除一条数据的方法出现异常，请尽快处理");
            resultInfo.setFlag(false);
            return resultInfo;
        }
    }
    // 根据主键修改一条数据
    @PutMapping(value = "/info")
    public ResultInfo update(@RequestBody Info info){
        try {
            resultInfo.setData(infoService.update(info));
            resultInfo.setMsg("认证信息表根据主键修改一条数据的方法已正常返回结果");
            resultInfo.setFlag(true);
            return resultInfo;
        } catch (Exception e) {
            // 异常处理
            e.printStackTrace();
            resultInfo.setData(0);
            resultInfo.setMsg("认证信息表根据主键修改一条数据的方法出现异常，请尽快处理");
            resultInfo.setFlag(false);
            return resultInfo;
        }
    }
}

