package com.nec.peppa.learning.api;
import com.nec.peppa.learning.entity.Info;
import com.nec.peppa.learning.entity.RecertRuleStatus;
import com.nec.peppa.learning.entity.ResultInfo;
import com.nec.peppa.learning.service.impl.InfoServiceImpl;
import com.nec.peppa.learning.service.impl.RecertRuleStatusServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;



/**
 * <p>
 * 延续认证规则状态表 前端控制器
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Controller
@RestController
@RequestMapping("/peppa_learning-service")
public class RecertRuleStatusController {
    @Autowired
    private RecertRuleStatusServiceImpl recertRuleStatusService;
    private ResultInfo resultInfo=new ResultInfo();
    // 查询全部数据
    @GetMapping(value = "/recert-rule-status")
    public ResultInfo findAll(){
        try {
            resultInfo.setData(recertRuleStatusService.findAll());
            resultInfo.setMsg("延续认证规则状态表查询全部数据的方法已正常返回结果");
            resultInfo.setFlag(true);
            return resultInfo;
        } catch (Exception e) {
            // 异常处理
            e.printStackTrace();
            resultInfo.setData(null);
            resultInfo.setMsg("延续认证规则状态表查询全部数据的方法出现异常，请尽快处理");
            resultInfo.setFlag(false);
            return resultInfo;
        }
    }
    // 根据主键查询一条数据
    @GetMapping(value = "/recert-rule-status/{recertRuleStatusId}")
    public ResultInfo findOneById(@PathVariable String recertRuleStatusId){
        try {
            // 把接收的字符串类型的主键转换为Long类型
            Long recertRuleStatusIdL=Long.parseLong(recertRuleStatusId);
            resultInfo.setData(recertRuleStatusService.findOneById(recertRuleStatusIdL));
            resultInfo.setMsg("延续认证规则状态表根据主键查询一条数据方法已正常返回结果");
            resultInfo.setFlag(true);
            return resultInfo;
        } catch (Exception e) {
            // 异常处理
            e.printStackTrace();
            resultInfo.setData(null);
            resultInfo.setMsg("延续认证规则状态表根据主键查询一条数据的方法出现异常，请尽快处理");
            resultInfo.setFlag(false);
            return resultInfo;
        }
    }
    // 新增一条数据
    @PostMapping(value = "/recert-rule-status")
    public ResultInfo insert(@RequestBody RecertRuleStatus recertRuleStatus){
        try {
            resultInfo.setData(recertRuleStatusService.insert(recertRuleStatus));
            resultInfo.setMsg("延续认证规则状态表新增一条数据方法已正常返回结果");
            resultInfo.setFlag(true);
            return resultInfo;
        } catch (Exception e) {
            // 异常处理
            e.printStackTrace();
            resultInfo.setData(0);
            resultInfo.setMsg("延续认证规则状态表新增一条数据的方法出现异常，请尽快处理");
            resultInfo.setFlag(false);
            return resultInfo;
        }
    }
    // 根据主键删除一条数据
    @DeleteMapping(value = "/recert-rule-status/{recertRuleStatusId}")
    public ResultInfo insert(@PathVariable String recertRuleStatusId){
        try {
            // 把接收的字符串类型的主键转换为Long类型
            Long recertRuleStatusIdL=Long.parseLong(recertRuleStatusId);
            resultInfo.setData(recertRuleStatusService.delete(recertRuleStatusIdL));
            resultInfo.setMsg("延续认证规则状态表根据主键删除一条数据的方法已正常返回结果");
            resultInfo.setFlag(true);
            return resultInfo;
        } catch (Exception e) {
            // 异常处理
            e.printStackTrace();
            resultInfo.setData(0);
            resultInfo.setMsg("延续认证规则状态表根据主键删除一条数据的方法出现异常，请尽快处理");
            resultInfo.setFlag(false);
            return resultInfo;
        }
    }
    // 根据主键修改一条数据
    @PutMapping(value = "/recert-rule-status")
    public ResultInfo update(@RequestBody RecertRuleStatus recertRuleStatus){
        try {
            resultInfo.setData(recertRuleStatusService.update(recertRuleStatus));
            resultInfo.setMsg("延续认证规则状态表根据主键修改一条数据的方法已正常返回结果");
            resultInfo.setFlag(true);
            return resultInfo;
        } catch (Exception e) {
            // 异常处理
            e.printStackTrace();
            resultInfo.setData(0);
            resultInfo.setMsg("延续认证规则状态表根据主键修改一条数据的方法出现异常，请尽快处理");
            resultInfo.setFlag(false);
            return resultInfo;
        }
    }
}

