package com.nec.peppa.learning.api;
import com.nec.peppa.learning.entity.ResultInfo;
import com.nec.peppa.learning.entity.Rule;
import com.nec.peppa.learning.entity.RuleInfo;
import com.nec.peppa.learning.service.impl.RuleInfoServiceImpl;
import com.nec.peppa.learning.service.impl.RuleServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;



/**
 * <p>
 * 认证规则信息表 前端控制器
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Controller
@RestController
@RequestMapping("/peppa_learning-service")
public class RuleInfoController {
    @Autowired
    private RuleInfoServiceImpl ruleInfoService;
    // 创建结果集对象
    private ResultInfo resultInfo=new ResultInfo();
    // 查询全部数据
    @GetMapping(value = "/rule-info")
    public ResultInfo findAll(){
        try {
            resultInfo.setData(ruleInfoService.findAll());
            resultInfo.setMsg("认证规则信息表查询全部数据的方法已正常返回结果");
            resultInfo.setFlag(true);
            return resultInfo;
        } catch (Exception e) {
            // 异常处理
            e.printStackTrace();
            resultInfo.setData(null);
            resultInfo.setMsg("认证规则信息表查询全部数据的方法出现异常，请尽快处理");
            resultInfo.setFlag(false);
            return resultInfo;
        }
    }
    // 根据主键查询一条数据
    @GetMapping(value = "/rule-info/{certRuleInfoId}")
    public ResultInfo findOneById(@PathVariable String certRuleInfoId){
        try {
            // 把接收的字符串类型的主键转换为Long类型
            Long certRuleInfoIdL=Long.parseLong(certRuleInfoId);
            resultInfo.setData(ruleInfoService.findOneById(certRuleInfoIdL));
            resultInfo.setMsg("认证规则信息表根据主键查询一条数据方法已正常返回结果");
            resultInfo.setFlag(true);
            return resultInfo;
        } catch (Exception e) {
            // 异常处理
            e.printStackTrace();
            resultInfo.setData(null);
            resultInfo.setMsg("认证规则信息表根据主键查询一条数据的方法出现异常，请尽快处理");
            resultInfo.setFlag(false);
            return resultInfo;
        }
    }
    // 新增一条数据
    @PostMapping(value = "/rule-info")
    public ResultInfo insert(@RequestBody RuleInfo ruleInfo){
        try {
            resultInfo.setData(ruleInfoService.insert(ruleInfo));
            resultInfo.setMsg("认证规则信息表新增一条数据方法已正常返回结果");
            resultInfo.setFlag(true);
            return resultInfo;
        } catch (Exception e) {
            // 异常处理
            e.printStackTrace();
            resultInfo.setData(0);
            resultInfo.setMsg("认证规则信息表新增一条数据的方法出现异常，请尽快处理");
            resultInfo.setFlag(false);
            return resultInfo;
        }
    }
    // 根据主键删除一条数据
    @DeleteMapping(value = "/rule-info/{certRuleInfoId}")
    public ResultInfo insert(@PathVariable String certRuleInfoId){
        try {
            // 把接收的字符串类型的主键转换为Long类型
            Long certRuleInfoIdL=Long.parseLong(certRuleInfoId);
            resultInfo.setData(ruleInfoService.delete(certRuleInfoIdL));
            resultInfo.setMsg("认证规则信息表根据主键删除一条数据的方法已正常返回结果");
            resultInfo.setFlag(true);
            return resultInfo;
        } catch (Exception e) {
            // 异常处理
            e.printStackTrace();
            resultInfo.setData(0);
            resultInfo.setMsg("认证规则信息表根据主键删除一条数据的方法出现异常，请尽快处理");
            resultInfo.setFlag(false);
            return resultInfo;
        }
    }
    // 根据主键修改一条数据
    @PutMapping(value = "/rule-info")
    public ResultInfo update(@RequestBody RuleInfo ruleInfo){
        try {
            resultInfo.setData(ruleInfoService.update(ruleInfo));
            resultInfo.setMsg("认证规则信息表根据主键修改一条数据的方法已正常返回结果");
            resultInfo.setFlag(true);
            return resultInfo;
        } catch (Exception e) {
            // 异常处理
            e.printStackTrace();
            resultInfo.setData(0);
            resultInfo.setMsg("认证规则信息表根据主键修改一条数据的方法出现异常，请尽快处理");
            resultInfo.setFlag(false);
            return resultInfo;
        }
    }
}

