package com.nec.peppa.learning.api;
import com.nec.peppa.learning.entity.ResultInfo;
import com.nec.peppa.learning.entity.RuleInfo;
import com.nec.peppa.learning.entity.RuleStatus;
import com.nec.peppa.learning.service.impl.RuleInfoServiceImpl;
import com.nec.peppa.learning.service.impl.RuleStatusServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;



/**
 * <p>
 * 认证规则状态表 前端控制器
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Controller
@RestController
@RequestMapping("/peppa_learning-service")
public class RuleStatusController {
    @Autowired
    private RuleStatusServiceImpl ruleStatusService;
    // 创建结果集对象
    private ResultInfo resultInfo=new ResultInfo();
    // 查询全部数据
    @GetMapping(value = "/rule-status")
    public ResultInfo findAll(){
        try {
            resultInfo.setData(ruleStatusService.findAll());
            resultInfo.setMsg("认证规则状态表查询全部数据的方法已正常返回结果");
            resultInfo.setFlag(true);
            return resultInfo;
        } catch (Exception e) {
            // 异常处理
            e.printStackTrace();
            resultInfo.setData(null);
            resultInfo.setMsg("认证规则状态表查询全部数据的方法出现异常，请尽快处理");
            resultInfo.setFlag(false);
            return resultInfo;
        }
    }
    // 根据主键查询一条数据
    @GetMapping(value = "/rule-status/{certRuleStatusId}")
    public ResultInfo findOneById(@PathVariable String certRuleStatusId){
        try {
            // 把接收的字符串类型的主键转换为Long类型
            Long certRuleStatusIdL=Long.parseLong(certRuleStatusId);
            resultInfo.setData(ruleStatusService.findOneById(certRuleStatusIdL));
            resultInfo.setMsg("认证规则状态表根据主键查询一条数据方法已正常返回结果");
            resultInfo.setFlag(true);
            return resultInfo;
        } catch (Exception e) {
            // 异常处理
            e.printStackTrace();
            resultInfo.setData(null);
            resultInfo.setMsg("认证规则状态表根据主键查询一条数据的方法出现异常，请尽快处理");
            resultInfo.setFlag(false);
            return resultInfo;
        }
    }
    // 新增一条数据
    @PostMapping(value = "/rule-status")
    public ResultInfo insert(@RequestBody RuleStatus ruleStatus){
        try {
            resultInfo.setData(ruleStatusService.insert(ruleStatus));
            resultInfo.setMsg("认证规则状态表新增一条数据方法已正常返回结果");
            resultInfo.setFlag(true);
            return resultInfo;
        } catch (Exception e) {
            // 异常处理
            e.printStackTrace();
            resultInfo.setData(0);
            resultInfo.setMsg("认证规则状态表新增一条数据的方法出现异常，请尽快处理");
            resultInfo.setFlag(false);
            return resultInfo;
        }
    }
    // 根据主键删除一条数据
    @DeleteMapping(value = "/rule-status/{certRuleStatusId}")
    public ResultInfo insert(@PathVariable String certRuleStatusId){
        try {
            // 把接收的字符串类型的主键转换为Long类型
            Long certRuleStatusIdL=Long.parseLong(certRuleStatusId);
            resultInfo.setData(ruleStatusService.delete(certRuleStatusIdL));
            resultInfo.setMsg("认证规则状态表根据主键删除一条数据的方法已正常返回结果");
            resultInfo.setFlag(true);
            return resultInfo;
        } catch (Exception e) {
            // 异常处理
            e.printStackTrace();
            resultInfo.setData(0);
            resultInfo.setMsg("认证规则状态表根据主键删除一条数据的方法出现异常，请尽快处理");
            resultInfo.setFlag(false);
            return resultInfo;
        }
    }
    // 根据主键修改一条数据
    @PutMapping(value = "/rule-status")
    public ResultInfo update(@RequestBody RuleStatus ruleStatus){
        try {
            resultInfo.setData(ruleStatusService.update(ruleStatus));
            resultInfo.setMsg("认证规则状态表根据主键修改一条数据的方法已正常返回结果");
            resultInfo.setFlag(true);
            return resultInfo;
        } catch (Exception e) {
            // 异常处理
            e.printStackTrace();
            resultInfo.setData(0);
            resultInfo.setMsg("认证规则状态表根据主键修改一条数据的方法出现异常，请尽快处理");
            resultInfo.setFlag(false);
            return resultInfo;
        }
    }
}

