package com.nec.peppa.learning.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 认证培使用的训历史记录
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("cert_training_history")
@ApiModel(value="CertTrainingHistory对象", description="认证培使用的训历史记录")
public class CertTrainingHistory implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "培训历史ID")
    @TableId(value = "training_history_id", type = IdType.AUTO)
    private Long trainingHistoryId;

    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "用户编号")
    private String userCode;

    @ApiModelProperty(value = "培训类型(面授课、慕课、微课等)")
    private String trainingType;

    @ApiModelProperty(value = "培训状态(报名、完成、未完成等) 10:报名,20:撤销,30:等待,40:待审批,50:已拒绝 60:已取消,70:未通过 80：已完成 90:缺勤")
    private String trainingStatus;

    @ApiModelProperty(value = "排期开始时间")
    private Date trainingStartDate;

    @ApiModelProperty(value = "排期结束时间")
    private Date trainingEndDate;

    @ApiModelProperty(value = "用户名称中文")
    private String userNameCn;

    @ApiModelProperty(value = "用户名称英文")
    private String userNameEn;

    @ApiModelProperty(value = "课程ID")
    private Long courseId;

    @ApiModelProperty(value = "课程编码")
    private String courseCode;

    @ApiModelProperty(value = "课程名称中文")
    private String courseNameCn;

    @ApiModelProperty(value = "课程名称英文")
    private String courseNameEn;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建者")
    private Long createUser;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "更新者")
    private Long updateUser;

    @ApiModelProperty(value = "删除标志")
    private String deleteFlag;


}
