package com.nec.peppa.learning.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 认证基础信息表
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("cert_info")
@ApiModel(value="Info对象", description="认证基础信息表")
public class Info implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "认证ID")
    @TableId(value = "cert_id", type = IdType.AUTO)
    private Long certId;

    @ApiModelProperty(value = "认证编号")
    private String certCode;

    @ApiModelProperty(value = "认证名称中文")
    private String certNameCn;

    @ApiModelProperty(value = "认证名称英文")
    private String certNameEn;

    @ApiModelProperty(value = "品牌")
    private String brandCode;

    @ApiModelProperty(value = "认证分类")
    private String certType;

    @ApiModelProperty(value = "认证级别")
    private String certLevel;

    @ApiModelProperty(value = "团队分类1级代码")
    private String courseTeamCatalogFirst;

    @ApiModelProperty(value = "团队分类2级代码")
    private String courseTeamCatalogSecond;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建者编号")
    private Long createUser;

    @ApiModelProperty(value = "创建者姓名中文")
    private String createUserNameCn;

    @ApiModelProperty(value = "创建者姓名英文")
    private String createUserNameEn;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "更新者编号")
    private Long updateUser;

    @ApiModelProperty(value = "更新者姓名中文")
    private String updateUserNameCn;

    @ApiModelProperty(value = "更新者姓名英文")
    private String updateUserNameEn;

    @ApiModelProperty(value = "徽章图片url")
    private String iconUrl;


}
