package com.nec.peppa.learning.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 延续认证课程明细表
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("cert_recert_record_detail")
@ApiModel(value="RecertRecordDetail对象", description="延续认证课程明细表")
public class RecertRecordDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "延续认证记录明细ID")
    @TableId(value = "cert_recert_record_detail_id", type = IdType.AUTO)
    private Long certRecertRecordDetailId;

    @ApiModelProperty(value = "认证记录ID")
    private Long certRecordMainId;

    @ApiModelProperty(value = "延续认证ID")
    private Long certRecordAnnualId;

    @ApiModelProperty(value = "认证KEY(认证+用户编号+获证日期）")
    private String certKeycode;

    @ApiModelProperty(value = "认证编号")
    private String certCode;

    @ApiModelProperty(value = "用户编号")
    private String userCode;

    @ApiModelProperty(value = "用户Id")
    private Long userId;

    @ApiModelProperty(value = "延续认证年度")
    private String rectAnnual;

    @ApiModelProperty(value = "获证组合顺序号(1,2,3)")
    private String idx;

    @ApiModelProperty(value = "课程编号")
    private String courseCode;

    @ApiModelProperty(value = "培训要求状态(完成、报名)")
    private String courseDemandStatus;

    @ApiModelProperty(value = "培训要求状态(完成、报名)字符类型")
    private String courseDemandStatusText;

    @ApiModelProperty(value = "培训完成状态")
    private String trainingCompleteStatus;

    @ApiModelProperty(value = "培训完成时间")
    private Date trainingCompleteDate;

    @ApiModelProperty(value = "课程中文名称")
    private String courseNameCn;

    @ApiModelProperty(value = "排期编号")
    private String offeringNo;

    @ApiModelProperty(value = "培训对象类型")
    private String courseKind;

    @ApiModelProperty(value = "延续的截至日期")
    private Date closingDate;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建者")
    private Long createUser;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "更新者")
    private Long updateUser;

    @ApiModelProperty(value = "删除标志")
    private Integer deleteFlag;


}
