package com.nec.peppa.learning.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 延续认证规则表
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("cert_recert_rule")
@ApiModel(value="RecertRule对象", description="延续认证规则表")
public class RecertRule implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "延续认证规则ID")
    @TableId(value = "recert_rule_id", type = IdType.AUTO)
    private Long recertRuleId;

    @ApiModelProperty(value = "认证Id")
    private Long certId;

    @ApiModelProperty(value = "获证年度")
    private String annual;

    @ApiModelProperty(value = "延续获证年度")
    private String annualRecert;

    @ApiModelProperty(value = "选项编号")
    private Integer optionIndex;

    @ApiModelProperty(value = "课程编号")
    private String courseCode;

    @ApiModelProperty(value = "培训对象")
    private String courseKind;

    @ApiModelProperty(value = "截至日期")
    private Date closingDate;


}
