package com.nec.peppa.learning.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 认证记录明细表每年一条记录
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("cert_record_annual")
@ApiModel(value="RecordAnnual对象", description="认证记录明细表每年一条记录")
public class RecordAnnual implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "认证记录明细表")
    @TableId(value = "cert_record_annual_id", type = IdType.ID_WORKER_STR)
    private Long certRecordAnnualId;

    @ApiModelProperty(value = "认证记录主表ID")
    private Long certRecordMainId;

    @ApiModelProperty(value = "认证KEY(认证+用户编号+获证日期）")
    private String certKeycode;

    @ApiModelProperty(value = "认证编号")
    private String certCode;

    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "计算年度")
    private Integer annual;

    @ApiModelProperty(value = "用户编号")
    private String userCode;

    @ApiModelProperty(value = "延续认证年度")
    private Integer rectAnnual;

    @ApiModelProperty(value = "延续完成状态0=未完成 1=已完成")
    private String rectComplateStatus;

    @ApiModelProperty(value = "认证获得年度")
    private Integer certGetAnnual;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建者")
    private Long createUser;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "更新者")
    private Long updateUser;

    @ApiModelProperty(value = "删除标志")
    private Integer deleteFlag;

    @ApiModelProperty(value = "证种类 10=新认证 20延续认证 30=重新发放")
    private String certIssueType;

    @ApiModelProperty(value = "原认证key")
    private String orgCertKeyCode;

    @ApiModelProperty(value = "原获证年度")
    private Integer orgGetAnnual;


}
