package com.nec.peppa.learning.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 认证记录主表
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("cert_record_main")
@ApiModel(value="RecordMain对象", description="认证记录主表")
public class RecordMain implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "认证记录主表ID")
    @TableId(value = "cert_record_main_id", type = IdType.ID_WORKER_STR)
    private Long certRecordMainId;

    @ApiModelProperty(value = "认证ID")
    private Long certId;

    @ApiModelProperty(value = "认证KEY(认证+用户编号+获证日期）")
    private String certKeycode;

    @ApiModelProperty(value = "计算年度(每次更新当前年度记录,永久认证除外）")
    private Integer calcAnnual;

    @ApiModelProperty(value = "获证年度")
    private Integer certGetAnual;

    @ApiModelProperty(value = "延续年度")
    private Integer certRecertAnnual;

    @ApiModelProperty(value = "认证获得日期")
    private Date certGetDate;

    @ApiModelProperty(value = "延续获得日期 ")
    private Date certRectDate;

    @ApiModelProperty(value = "有效期至那一天")
    private Date validDate;

    @ApiModelProperty(value = "是否为有效证书记录0=失效 1=有效")
    private Integer nowValidFlag;

    @ApiModelProperty(value = "是否通过延续成功获证0=否 1=是")
    private Integer getByRectFlag;

    @ApiModelProperty(value = "证书延续状态 00=无需延续 10=待延续 20=已延续")
    private String nowRectFlag;

    @ApiModelProperty(value = "证书是否需要延续10=需延续 20=不需要延续")
    private String rectFlag;

    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "用户编号")
    private String userCode;

    @ApiModelProperty(value = "认证编号")
    private String certCode;

    @ApiModelProperty(value = "认证名称中文")
    private String certNameCn;

    @ApiModelProperty(value = "认证名称英文")
    private String certNameEn;

    @ApiModelProperty(value = "认证品牌")
    private String brandCode;

    @ApiModelProperty(value = "认证分类")
    private String certType;

    @ApiModelProperty(value = "认证级别")
    private String certLevel;

    @ApiModelProperty(value = "团队分类1级代码")
    private String courseTeamCatalogFirst;

    @ApiModelProperty(value = "团队分类2级代码")
    private String courseTeamCatalogSecond;

    @ApiModelProperty(value = "用户名称中文")
    private String userNameCn;

    @ApiModelProperty(value = "用户名称英文")
    private String userNameEn;

    @ApiModelProperty(value = "认证有效期已年为单位")
    private String validPeriod;

    @ApiModelProperty(value = "认证模板名称")
    private String templateName;

    @ApiModelProperty(value = "认证模板编号")
    private String templateNo;

    @ApiModelProperty(value = "原获证年度")
    private Integer orgGetAnnual;

    @ApiModelProperty(value = "原获证KEY")
    private String orgCertKeycode;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建者")
    private Long createUser;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "更新者")
    private Long updateUser;

    @ApiModelProperty(value = "删除标志0=有效 1=已删除")
    private Integer deleteFlag;


}
