package com.nec.peppa.learning.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 认证规则表
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("cert_rule")
@ApiModel(value="Rule对象", description="认证规则表")
public class Rule implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "认证规则ID")
    @TableId(value = "cert_rule_id", type = IdType.AUTO)
    private Long certRuleId;

    @ApiModelProperty(value = "认证ID")
    private Long certId;

    @ApiModelProperty(value = "认证获得年")
    private String annual;

    @ApiModelProperty(value = "选项编号")
    private Integer optionIndex;

    @ApiModelProperty(value = "课程编号")
    private String courseCode;

    @ApiModelProperty(value = "培训对象")
    private String courseKind;

    private Date createTime;


}
