package com.nec.peppa.learning.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 认证规则信息表
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("cert_rule_info")
@ApiModel(value="RuleInfo对象", description="认证规则信息表")
public class RuleInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "认证规则信息ID")
    @TableId(value = "cert_rule_info_id", type = IdType.AUTO)
    private Long certRuleInfoId;

    @ApiModelProperty(value = "认证ID")
    private Long certId;

    @ApiModelProperty(value = "认证获得年")
    private String annual;

    @ApiModelProperty(value = "认证有效期")
    private String validPeriod;

    @ApiModelProperty(value = "认证有效截至日期")
    private String expiryDate;

    @ApiModelProperty(value = "是否延续")
    private String recertFlag;

    @ApiModelProperty(value = "认证模板编号")
    private String templateNo;

    @ApiModelProperty(value = "认证模板名称")
    private String templateName;

    @ApiModelProperty(value = "认证模板url")
    private String templateUrl;

    @ApiModelProperty(value = "模板ID")
    private Integer templateId;


}
