package com.nec.peppa.learning.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 认证规则状态表
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("cert_rule_status")
@ApiModel(value="RuleStatus对象", description="认证规则状态表")
public class RuleStatus implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "认证规则状态ID")
    @TableId(value = "cert_rule_status_id", type = IdType.AUTO)
    private Long certRuleStatusId;

    @ApiModelProperty(value = "认证规则ID")
    private Long certRuleId;

    @ApiModelProperty(value = "课程编号")
    private String courseCode;

    @ApiModelProperty(value = "课程完成状态")
    private String completeStatus;

    private Date createTime;


}
