package com.nec.peppa.learning.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 培训历史记录
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TrainingHistory对象", description="培训历史记录")
public class TrainingHistory implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "培训历史ID")
    @TableId(value = "training_history_id", type = IdType.AUTO)
    private Long trainingHistoryId;

    @ApiModelProperty(value = "培训记录编号(排期编号+课程编号+用户编号)")
    private String trainingKey;

    @ApiModelProperty(value = "排期ID")
    private Long offeringId;

    @ApiModelProperty(value = "排期编号")
    private String offeringNo;

    @ApiModelProperty(value = "排期名称")
    private String offeringName;

    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "用户编号")
    private String userCode;

    @ApiModelProperty(value = "报名时组织编号")
    private String registeOrgCode;

    @ApiModelProperty(value = "报名时NSC No")
    private String registeNscNo;

    @ApiModelProperty(value = "报名时BBA No")
    private String registeBbaNo;

    @ApiModelProperty(value = "报名时品牌")
    private String registeBrand;

    @ApiModelProperty(value = "报名时网点类型")
    private String registeOutlettype;

    @ApiModelProperty(value = "报名时公司中文名称")
    private String registeAbbreviationCn;

    @ApiModelProperty(value = "报名时主要职位")
    private String registeJobCode;

    @ApiModelProperty(value = "报名时主要职位中文名称")
    private String registeJobNameCn;

    @ApiModelProperty(value = "报名时所在区域中文")
    private String registeAreaNameCn;

    @ApiModelProperty(value = "报名时兼职职位1")
    private String registePartTimeJobcodeOne;

    @ApiModelProperty(value = "报名时兼职职位2")
    private String registePartTimeJobcodeTwo;

    @ApiModelProperty(value = "排期结束时组织编号")
    private String offeringendOrgCode;

    @ApiModelProperty(value = "排期结束时NSC No")
    private String offeringendNscNo;

    @ApiModelProperty(value = "排期结束时BBA No")
    private String offeringendBbaNo;

    @ApiModelProperty(value = "排期结束时品牌")
    private String offeringendBrand;

    @ApiModelProperty(value = "排期结束时网点类型")
    private String offeringendOutlettype;

    @ApiModelProperty(value = "排期结束时公司中文名称")
    private String offeringendAbbreviationCn;

    @ApiModelProperty(value = "排期结束时主要职位")
    private String offeringendJobCode;

    @ApiModelProperty(value = "排期结束时主要职位中文名称")
    private String offeringendJobNameCn;

    @ApiModelProperty(value = "排期结束时公司所在区域")
    private String offeringendAreaNameCn;

    @ApiModelProperty(value = "排期结束时兼职职位1")
    private String offeringendPartTimeJobcodeOne;

    @ApiModelProperty(value = "排期结束时兼职职位2")
    private String offeringendPartTimeJobcodeTwo;

    @ApiModelProperty(value = "排期开始时间")
    private Date startdate;

    @ApiModelProperty(value = "排期结束时间")
    private Date enddate;

    @ApiModelProperty(value = "罚款金额")
    private BigDecimal penaltyAmount;

    @ApiModelProperty(value = "撤销操作时间")
    private Date revokeTime;

    @ApiModelProperty(value = "撤销操作人")
    private String revokeUser;

    @ApiModelProperty(value = "用户名称中文")
    private String userNameCn;

    @ApiModelProperty(value = "用户名称英文")
    private String userNameEn;

    @ApiModelProperty(value = "所属组织ID")
    private Long orgId;

    @ApiModelProperty(value = "所属组织名称")
    private String orgName;

    @ApiModelProperty(value = "职位编码")
    private String jobCode;

    @ApiModelProperty(value = "课程ID")
    private Long courseId;

    @ApiModelProperty(value = "课程编码")
    private String courseCode;

    @ApiModelProperty(value = "课程名称中文")
    private String courseNameCn;

    @ApiModelProperty(value = "课程名称英文")
    private String courseNameEn;

    @ApiModelProperty(value = "培训开始时间")
    private Date trainingStartDate;

    @ApiModelProperty(value = "培训结束时间")
    private Date trainingEndDate;

    @ApiModelProperty(value = "培训完成时间")
    private Date trainingCompleteDate;

    @ApiModelProperty(value = "培训报名时间")
    private Date trainingRegisteDate;

    @ApiModelProperty(value = "培训天数")
    private BigDecimal trainingDays;

    @ApiModelProperty(value = "培训小时")
    private BigDecimal trainingHours;

    @ApiModelProperty(value = "培训状态(报名、完成、未完成等) 10:报名,20:撤销,30:等待,40:待审批,50:已拒绝 60:已取消,70:未通过 80：已完成 90:缺勤")
    private String trainingStatus;

    @ApiModelProperty(value = "培训类型(面授课、慕课、微课等)")
    private String trainingType;

    @ApiModelProperty(value = "培训价格")
    private BigDecimal trainingPrice;

    @ApiModelProperty(value = "获得分数")
    private BigDecimal trainingScore;

    @ApiModelProperty(value = "更新标志(手动、系统)")
    private String updateFlag;

    @ApiModelProperty(value = "培训移除标志(默认为0，1为移除不再有效）")
    private String trainingRemoveStatus;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建者")
    private Long createUser;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "更新者")
    private Long updateUser;

    @ApiModelProperty(value = "删除标志")
    private String deleteFlag;

    @ApiModelProperty(value = "课程分类ID")
    private Long courseCatalogId;

    @ApiModelProperty(value = "课程分类名称中文")
    private String courseCatalogNameCn;

    @ApiModelProperty(value = "课程分类名称英文")
    private String courseCatalogNameEn;

    @ApiModelProperty(value = "员工号")
    private String userCardNo;

    @ApiModelProperty(value = "组织类型")
    private String jobType;

    @ApiModelProperty(value = "在职状态")
    private String userStatus;

    @ApiModelProperty(value = "课程团队分类一级")
    private String courseTeamCatelogOne;

    @ApiModelProperty(value = "课程团队分类二级")
    private String courseTeamCatelogTwo;

    @ApiModelProperty(value = "课程分类一级")
    private String courseCatelogOne;

    @ApiModelProperty(value = "课程分类二级")
    private String courseCatelogTwo;

    @ApiModelProperty(value = "课程品牌")
    private String courseBrand;

    @ApiModelProperty(value = "排期场地分类（一级")
    private String offeringSiteOne;

    @ApiModelProperty(value = "排期场地分类（二级")
    private String offeringSiteTwo;

    @ApiModelProperty(value = "排期场地中文名称")
    private String offeringSiteCn;

    @ApiModelProperty(value = "报名时兼职职位1中文")
    private String registePartTimeJobcodeOneCn;

    @ApiModelProperty(value = "报名时兼职职位2中文")
    private String registePartTimeJobcodeTwoCn;

    @ApiModelProperty(value = "排期结束时兼职职位1中文")
    private String offeringendPartTimeJobcodeOneCn;

    @ApiModelProperty(value = "排期结束时兼职职位2中文")
    private String offeringendPartTimeJobcodeTwoCn;

    @ApiModelProperty(value = "新课替换旧课，保留旧课号")
    @TableField("T_course_code")
    private String tCourseCode;

    @ApiModelProperty(value = "获得分数_备份")
    @TableField("T_training_score_bak")
    private BigDecimal tTrainingScoreBak;


}
