package com.nec.peppa.learning.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.nec.peppa.learning.entity.RecertRule;
import com.nec.peppa.learning.entity.RecertRuleStatus;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 延续认证规则表 Mapper 接口
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Repository
@Mapper
public interface RecertRuleMapper extends BaseMapper<RecertRule> {
    /*
    * 查找延续认证规则状态表信息 两表联查
    * */
    List<RecertRuleStatus> selectCertRecertRule(@Param(Constants.WRAPPER) Wrapper<RecertRule> wrapper);
    // 查询全部数据
    List<RecertRule> findAll();
    // 根据Id查询单条信息
    RecertRule findOneById(@Param("recertRuleId") Long recertRuleId);
    // 添加一个对象
    int insertAll(RecertRule recertRule);
    // 选择性的添加数据
    int insertSelect(RecertRule recertRule);
    // 根据id修改全部字段数据
    int updateAllById(RecertRule recertRule);
    // 根据id选择性的修改字段数据
    int updateSelectById(RecertRule recertRule);
}
