package com.nec.peppa.learning.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.nec.peppa.learning.entity.RecertRule;
import com.nec.peppa.learning.entity.RecertRuleStatus;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 延续认证规则表 服务类
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
public interface RecertRuleService extends IService<RecertRule> {
    /* 两表联查
    * @Param certId 认证id
    * @Param annual 认证获得年度
    * @Param annualRecert 延续认证获得年度
    * */
    List<RecertRuleStatus> selectCertRecertRule(RecertRule recertRule);
    // 查询全部数据
    List<RecertRule> findAll();
    // 根据Id查询单条信息
    RecertRule findOneById(Long recertRuleId);
    // 添加一个对象
    int insertAll(RecertRule recertRule);
    // 选择性的添加数据
    int insertSelect(RecertRule recertRule);
    // 根据id修改全部字段数据
    int updateAllById(RecertRule recertRule);
    // 根据id选择性的修改字段数据
    int updateSelectById(RecertRule recertRule);
}
