package com.nec.peppa.learning.service.impl;



import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nec.peppa.learning.mapper.InfoMapper;
import com.nec.peppa.learning.entity.Info;
import com.nec.peppa.learning.service.InfoService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;


/**
 * <p>
 * 认证基础信息表 服务实现类
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Service
public class InfoServiceImpl extends ServiceImpl<InfoMapper, Info> implements InfoService {
    @Autowired
    private InfoMapper infoMapper;
    public Map<String,Object> findOne(){
        HashMap<String,Object> map=new HashMap<>();
        int size=infoMapper.selectList(null).size();
        if (size<=0){
            map.put("ci","cert_info表数据为空");
            return map;
        }
        map.put("ci",infoMapper.selectList(null).get(0));
        return map;
    }

    // 查询全部数据
    @Override
    public List<Info> findAll() {
        return infoMapper.findAll();
    }
    // 根据主键查询一条数据
    @Override
    public Info findOneById(Long certId) {
        return infoMapper.findOneById(certId);
    }

    public int insert(Info info){
        return infoMapper.insert(info);
    }

    public int delete(Long certInfoId){
        QueryWrapper<Info> wrapper=new QueryWrapper<>();
        wrapper.eq("cert_info_id",certInfoId);
        return infoMapper.delete(wrapper);
    }

    public int update(Info info){
        return infoMapper.updateById(info);
    }
}
