package com.nec.peppa.learning.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nec.peppa.learning.mapper.RecertRuleMapper;
import com.nec.peppa.learning.entity.RecertRule;
import com.nec.peppa.learning.entity.RecertRuleStatus;
import com.nec.peppa.learning.service.RecertRuleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 延续认证规则表 服务实现类
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Service
public class RecertRuleServiceImpl extends ServiceImpl<RecertRuleMapper, RecertRule> implements RecertRuleService {
    @Autowired
    private RecertRuleMapper recertRuleMapper;
    /*
    * * @Param certId         认证id
     * @Param annual         认证获得年度
     * @Param annualRecert   延续认证获得年度
    * */
    @Override
    public List<RecertRuleStatus> selectCertRecertRule(RecertRule recertRule) {
        QueryWrapper<RecertRule> wrapper=new QueryWrapper<>();
        HashMap<String,Object> params=new HashMap<>();
        params.put("cert_id",recertRule.getCertId());
        params.put("annual",recertRule.getAnnual());
        params.put("annual_recert",recertRule.getAnnualRecert());
        wrapper.allEq(params);
        return recertRuleMapper.selectCertRecertRule(wrapper);
    }
    // 查询全部数据
    @Override
    public List<RecertRule> findAll() {
        return recertRuleMapper.findAll();
    }
    // 根据Id查询单条信息
    @Override
    public RecertRule findOneById(Long recertRuleId) {
        return recertRuleMapper.findOneById(recertRuleId);
    }
    // 添加一个对象
    @Override
    public int insertAll(RecertRule recertRule) {
        return recertRuleMapper.insertAll(recertRule);
    }
    // 选择性的添加数据
    @Override
    public int insertSelect(RecertRule recertRule) {
        return recertRuleMapper.insertSelect(recertRule);
    }
    // 根据Id删除数据

    public int deleteById(Long recertRuleId) {
        QueryWrapper<RecertRule> wrapper=new QueryWrapper<>();
        wrapper.eq("cert_recert_rule_id",recertRuleId);
        return recertRuleMapper.delete(wrapper);
    }
    // 根据id修改全部字段数据
    @Override
    public int updateAllById(RecertRule recertRule) {
        return recertRuleMapper.updateAllById(recertRule);
    }
    // 根据id选择性的修改字段数据
    @Override
    public int updateSelectById(RecertRule recertRule) {
        return recertRuleMapper.updateSelectById(recertRule);
    }
    public Map<String,Object> findOne(){
        HashMap<String,Object> map=new HashMap<>();
        int size=recertRuleMapper.selectList(null).size();
        if (size<=0){
            map.put("crr","cert_recert_rule表数据为空");
            return map;
        }
        map.put("crr",recertRuleMapper.selectList(null).get(0));
        return map;
    }
}
