package com.nec.peppa.learning.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nec.peppa.learning.entity.Info;
import com.nec.peppa.learning.mapper.RecertRuleMapper;
import com.nec.peppa.learning.mapper.RecertRuleStatusMapper;
import com.nec.peppa.learning.entity.RecertRuleStatus;
import com.nec.peppa.learning.service.RecertRuleStatusService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 延续认证规则状态表 服务实现类
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Service
public class RecertRuleStatusServiceImpl extends ServiceImpl<RecertRuleStatusMapper, RecertRuleStatus> implements RecertRuleStatusService {
    @Autowired
    private RecertRuleStatusMapper recertRuleStatusMapper;
    public Map<String,Object> findOne(){
        HashMap<String,Object> map=new HashMap<>();

        int size=recertRuleStatusMapper.selectList(null).size();
        if (size<=0){
            map.put("crrs","cert_recert_rule_status表数据为空");
            return map;
        }
        map.put("crrs",recertRuleStatusMapper.selectList(null).get(0));
        return map;
    }
    // 查询全部数据
    @Override
    public List<RecertRuleStatus> findAll() {
        return recertRuleStatusMapper.findAll();
    }
    // 根据主键查询一条数据
    @Override
    public RecertRuleStatus findOneById(Long recertRuleStatusId) {
        return recertRuleStatusMapper.findOneById(recertRuleStatusId);
    }

    public int insert(RecertRuleStatus recertRuleStatus){
        return recertRuleStatusMapper.insert(recertRuleStatus);
    }

    public int delete(Long recertRuleStatusId){
        QueryWrapper<RecertRuleStatus> wrapper=new QueryWrapper<>();
        wrapper.eq("recert_rule_status_id",recertRuleStatusId);
        return recertRuleStatusMapper.delete(wrapper);
    }

    public int update(RecertRuleStatus recertRuleStatus){
        return recertRuleStatusMapper.updateById(recertRuleStatus);
    }
}
