package com.nec.peppa.learning.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nec.peppa.learning.entity.Info;
import com.nec.peppa.learning.mapper.RuleInfoMapper;
import com.nec.peppa.learning.entity.RuleInfo;
import com.nec.peppa.learning.service.RuleInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 认证规则信息表 服务实现类
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Service
public class RuleInfoServiceImpl extends ServiceImpl<RuleInfoMapper, RuleInfo> implements RuleInfoService {
    @Autowired
    private RuleInfoMapper ruleInfoMapper;
    public Map<String,Object> findOne(){
        HashMap<String,Object> map=new HashMap<>();
        int size=ruleInfoMapper.selectList(null).size();
        if (size<=0){
            map.put("cri","cert_rule_info表数据为空");
            return map;
        }
        map.put("cri",ruleInfoMapper.selectList(null).get(0));
        return map;
    }

    @Override
    public List<RuleInfo> findAll() {
        return ruleInfoMapper.findAll();
    }

    @Override
    public RuleInfo findOneById(Long certRuleInfoId) {
        return ruleInfoMapper.findOneById(certRuleInfoId);
    }

    public int insert(RuleInfo ruleInfo){
        return ruleInfoMapper.insert(ruleInfo);
    }

    public int delete(Long certRuleInfoId){
        QueryWrapper<RuleInfo> wrapper=new QueryWrapper<>();
        wrapper.eq("cert_rule_info_id",certRuleInfoId);
        return ruleInfoMapper.delete(wrapper);
    }

    public int update(RuleInfo ruleInfo){
        return ruleInfoMapper.updateById(ruleInfo);
    }
}
