package com.nec.peppa.learning.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nec.peppa.learning.entity.RuleInfo;
import com.nec.peppa.learning.mapper.RuleMapper;
import com.nec.peppa.learning.entity.Rule;
import com.nec.peppa.learning.service.RuleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 认证规则表 服务实现类
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Service
public class RuleServiceImpl extends ServiceImpl<RuleMapper, Rule> implements RuleService {
    @Autowired
    private RuleMapper ruleMapper;
    public Map<String,Object> findOne(){
        HashMap<String,Object> map=new HashMap<>();
        int size=ruleMapper.selectList(null).size();
        if (size<=0){
            map.put("cr","cert_rule表数据为空");
            return map;
        }
        map.put("cr",ruleMapper.selectList(null).get(0));
        return map;
    }

    @Override
    public List<Rule> findAll() {
        return ruleMapper.findAll();
    }

    @Override
    public Rule findOneById(Long certRuleId) {
        return ruleMapper.findOneById(certRuleId);
    }

    public int insert(Rule rule){
        return ruleMapper.insert(rule);
    }

    public int delete(Long certRuleId){
        QueryWrapper<Rule> wrapper=new QueryWrapper<>();
        wrapper.eq("cert_rule_id",certRuleId);
        return ruleMapper.delete(wrapper);
    }

    public int update(Rule rule){
        return ruleMapper.updateById(rule);
    }
}
