package com.nec.peppa.learning.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nec.peppa.learning.entity.Rule;
import com.nec.peppa.learning.mapper.RuleStatusMapper;
import com.nec.peppa.learning.entity.RuleStatus;
import com.nec.peppa.learning.service.RuleStatusService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 认证规则状态表 服务实现类
 * </p>
 *
 * @author peppa_learning
 * @since 2020-03-08
 */
@Service
public class RuleStatusServiceImpl extends ServiceImpl<RuleStatusMapper, RuleStatus> implements RuleStatusService {
    @Autowired
    private RuleStatusMapper ruleStatusMapper;
    public Map<String,Object> findOne(){
        HashMap<String,Object> map=new HashMap<>();

        int size=ruleStatusMapper.selectList(null).size();
        if (size<=0){
            map.put("crs","cert_rule_status表数据为空");
            return map;
        }
        map.put("crs",ruleStatusMapper.selectList(null).get(0));
        return map;
    }

    @Override
    public List<RuleStatus> findAll() {
        return ruleStatusMapper.findAll();
    }

    @Override
    public RuleStatus findOneById(Long certRuleStatusId) {
        return ruleStatusMapper.findOneById(certRuleStatusId);
    }
    public int insert(RuleStatus ruleStatus){
        return ruleStatusMapper.insert(ruleStatus);
    }

    public int delete(Long certRuleStatusId){
        QueryWrapper<RuleStatus> wrapper=new QueryWrapper<>();
        wrapper.eq("cert_rule_status_id",certRuleStatusId);
        return ruleStatusMapper.delete(wrapper);
    }

    public int update(RuleStatus ruleStatus){
        return ruleStatusMapper.updateById(ruleStatus);
    }
}
